Subject: RE: BUG: ualarm(0,0) not clearing ualarms
From: "Robb, Sam" <[email-masked]>
To: "Jerry D. Hedden" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 14 Feb 2006 11:45:56 -0500

> > From: "Robb, Sam"
> >   I'm able to reproduce this on my machine, but only when I'm
> > running it under rxvt.  If I run it from cmd.exe or within a
> > standard cygwin bash shell, then it completes without the
> > '-- BOGUS ALARM --' warnings.
> > 
> >   $ uname -a
> >   CYGWIN_NT-5.0 claus 1.5.19(0.150/4/2) 2006-01-20 13:28 i686 Cygwin
> > 
> >   $ gcc -o ua-test ua-test.c 
> > 
> >   $ ./ua-test.exe 
> >   First ualarm  - one shot
> >   Second ualarm - one shot
> >   Last ualarm   - repeats 3 times
> >   Clearing ualarm
> >   Sleeping
> >   --- BOGUS ALARM ---
> >   --- BOGUS ALARM ---
> >   Done
> 
> I'm the original poster of this bug report.
> I usually run in an rxvt window, which is where I see the bug.
> I tried a dos window, and the bug did not occur.
> Further, it occurs on my Win2K box, but not on my WinXP box.

Jerry,

  I've cc'd the cygwin list on this reply since the difference
(Win2K vs. WinXP) may be significant.  I'm also running cygwin
under Win2K.  It may be that others who have not seen this
error are also running under XP as well.

-Samrobb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/